#include "load_texture.h"

#include <iostream>

namespace Texture {
    void LoadTexture(const char* filePath) {
        FIBITMAP* bitmap = FreeImage_Load(FIF_TIFF, filePath, TIFF_DEFAULT);

        if(!bitmap) {
            std::cerr << "Failed to load TIFF image: " << filePath << std::endl;
        }

        FIBITMAP* bitmap32 = FreeImage_ConvertTo32Bits(bitmap);
        FreeImage_Unload(bitmap);
    }
}